ghc-7.0.4: The GHC API

TcMatches

# Documentation

tcMatchesFun :: Name -> Bool -> MatchGroup Name -> TcSigmaType -> TcM (HsWrapper, MatchGroup TcId)Source

tcGRHSsPat :: GRHSs Name -> TcRhoType -> TcM (GRHSs TcId)Source

tcMatchesCase :: TcMatchCtxt -> TcRhoType -> MatchGroup Name -> TcRhoType -> TcM (MatchGroup TcId)Source

tcMatchLambda :: MatchGroup Name -> TcRhoType -> TcM (HsWrapper, MatchGroup TcId)Source

data TcMatchCtxt Source

Constructors

MC |

Fields

mc_what :: HsMatchContext Name
mc_body :: LHsExpr Name -> TcRhoType -> TcM (LHsExpr TcId)

tcStmts :: HsStmtContext Name -> TcStmtChecker -> [LStmt Name] -> TcRhoType -> (TcRhoType -> TcM thing) -> TcM ([LStmt TcId], thing)Source

tcDoStmts :: HsStmtContext Name -> [LStmt Name] -> LHsExpr Name -> TcRhoType -> TcM (HsExpr TcId)Source

tcBody :: LHsExpr Name -> TcRhoType -> TcM (LHsExpr TcId)Source

tcDoStmt :: TcStmtCheckerSource

tcMDoStmt :: (LHsExpr Name -> TcM (LHsExpr TcId, TcType)) -> TcStmtCheckerSource

tcGuardStmt :: TcStmtCheckerSource